Autor Tópico: Shockwave Flash no Firefox  (Lida 1238 vezes)

Offline maurov

  • Usuário Ubuntu
  • *
  • Mensagens: 401
    • Ver perfil
Shockwave Flash no Firefox
« Online: 19 de Fevereiro de 2020, 12:09 »
Em menu/extensões/plugin não aparece o shockwave.

Indo em:
https://get.adobe.com/br/flashplayer/otherversions/
as opções para Linux 64bits no dropdown são:
FP 32.0 for Ubuntu (apt)
FP 32.0 for Linux 64-bit (YUM)
FP 32.0 for Linux 64-bit (.tar.gz) PPAPI
FP 32.0 for Linux 64-bit (.tar.gz) NPAPI
FP 32.0 for Linux 64-bit (.rpm) PPAPI
FP 32.0 for Linux 64-bit (.rpm) NPAPI

Selecionei a opção Ubuntu (apt) e cliquei no boão Baixe agora.

Abre uma janela que diz que este endereço precisa de um aplicativo para ser aberto. Seleciono AptURL (é a única opção, além da possibilidade de selecionar algum outro).

Dá o seguinte erro:
Canal desconhecido 'bionic-partner'
O canal 'bionic-partner' não é conhecido.

Meu ambiente:
Ubuntu 18.04.4 LTS
Firefox 73.0

Alguém sabe como resolver isso?

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 605
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #1 Online: 19 de Fevereiro de 2020, 18:44 »
Vá em Programas e Atualizações e ative o repositório "Parceiros da Canonical".

Ou ainda, tem um pacote do Flash Player nos repositórios, talvez ele atenda. Para instalar:

Código: [Selecionar]
sudo apt install browser-plugin-freshplayer-pepperflash

Offline maurov

  • Usuário Ubuntu
  • *
  • Mensagens: 401
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #2 Online: 20 de Fevereiro de 2020, 10:34 »
Anderson,
Eu gosto de usar estes repositórios oficiais, então seguindo a tua dica fui em Programas e Atualizações e ativei Parceiros da Canonical.
Imediatamente o Ubuntu avisou que era necessário alguma atualização e a fez.

Voltei no https://get.adobe.com/br/flashplayer/otherversions/ e fiz o mesmo processo, mas persiste o erro...

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 605
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #3 Online: 20 de Fevereiro de 2020, 18:51 »
O que eu sugiro então, caso não queira usar o pacote browser-plugin-freshplayer-pepperflash dos repositórios oficiais, é baixar o plugin NPAPI em formato tar.gz.

Observe que tem um arquivo readme.txt com instruções:

Para instalação
Citar
Installing using the plugin tar.gz:
   o Unpack the plugin tar.gz and copy the files to the appropriate location. 
   o Save the plugin tar.gz locally and note the location the file was saved to.
   o Launch terminal and change directories to the location the file was saved to.
   o Unpack the tar.gz file.  Once unpacked you will see the following:
      + libflashplayer.so
      + /usr
   o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
   o Copy libflashplayer.so to the appropriate browser plugins directory.  At the prompt type:
      + cp libflashlayer.so <BrowserPluginsLocation>
   o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the prompt type:
      + sudo cp -r usr/* /usr

E desinstalação
Citar
Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in
   directory /home/<user>/.mozilla/plugins/

Ou seja, apenas extraia os arquivos normalmente na sua home, copie todo o conteúdo da pasta usr para pasta do sistema /usr, com o comando " sudo cp -r usr/* /usr ". Depois pegue o arquivo libflashplayer.so e copie para a pasta do firefox, que no caso creio que seja a /usr/lib/mozilla/plugins.

Para desinstalar, remova os arquivos libflashplayer.so e flashplayer.xpt como referido (creio que seja necessário para atualizar também).

Offline maurov

  • Usuário Ubuntu
  • *
  • Mensagens: 401
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #4 Online: 21 de Fevereiro de 2020, 09:42 »
Agradeço a tua atenção, Anderson.
Sigo em dúvida.
Compartilho aqui os meus receios sobre as alternativas trazidas pela página do shockwave.
PPAPI: In January 2020, Google announced that support for PPAPI would be removed from Google Chrome and Chromium in June 2021.
NPAPI: With the advent of HTML5, all major web browsers have removed support for this API for security reasons.

Por essas e por outras é que procuro usar repositórios oficiais.

Gostaria de ouvir a opinião de vocês.

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 605
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #5 Online: 21 de Fevereiro de 2020, 18:53 »
Citar
Compartilho aqui os meus receios sobre as alternativas trazidas pela página do shockwave.

O flash é um software da Adobe. A diferença do dessa página para o do repositório oficial é que o segundo é empacotado para ser usado no Ubuntu. Na prática é o mesmo software, mas pode variar a versão (geralmente varia).

Mas como disse, se quiser usar do repositório, o pacote browser-plugin-freshplayer-pepperflash está disponível.

Na verdade, quando eu disse que o flash baixado na página da Adobe e o do repositório Ubuntu são os mesmos, isso merece uma atenção, pois o software do repositório é o pepperflash, que é um plugin PPAPI portado para NPAPI (até já ouvi que é o flash do Chrome portado para o Firefox). Mas é da Adobe do mesmo jeito, só que alguém fez umas modificações para funcionar do Firefox, e funciona na versão 73.

Só que andei lendo aqui, e parece que apenas as versões ESR do Firefox suportam plugins NPAPI (mas só até dezembro/2020). Então, o que eu falei no post anterior para você instalar o flash NPAPI não deve funcionar no 73. Talvez haja algo para fazer no about:config, mas não sei nesse caso. E acho que o Firefox não suporta plugins PPAPI, se for isso mesmo, instalar o tar.gz PPAPI não vai ajudar, mas você pode testar porque é muito fácil instalar (basta descompactar dentro de uma pasta indicada no readme.txt do pacote). Mas porque o pepperflash funciona eu não sei!

Então minha dica é: usar o pepperflash que tem no repositório (pelo que entendi, esse você não tentou instalar, se tentou, faltou informar o erro). Se não atender, instalar um navegador que suporte NPAPI (Palemoon, Midori, etc) e pegar o respectivo plugin NPAPI conforme instruções, ou ainda, usar o Chrome talvez seja a opção mais simples, já que ele vem com o flash.

Obs: vi que também tem o pacote flashplugin-installer no repositório oficial, mas não testei no FF 73. E ainda tem o pepperflashplugin-nonfree, acho que esse deve vir junto com o primeiro pacote que eu tinha falado.

Para terminar, se você está preocupado com segurança, flash pode ser um vetor de ataque seja lá de qual forma for instalado (para mim, repositório oficial ou página da Adobe dá no mesmo). Não digo que é inseguro usar, mas acho bom deixar desativado no navegador e ativar só quando usar, ou melhor ainda, ter um navegador específico para rodar sites que precisem dele, como o Chrome. E essas informações da página é porque o flash está morrendo, logo logo a Adobe para de fornecer atualizações (acho que até o final de 2020).

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.485
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
    • Blog do Zekke
Re:Shockwave Flash no Firefox
« Resposta #6 Online: 25 de Fevereiro de 2020, 10:16 »
Alguém confirma pra mim: o autor do tópico quer usar o flash, ou o shockwave? Pq até onde me lembro, o shockwave nunca teve versão pra Linux.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 605
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #7 Online: 25 de Fevereiro de 2020, 16:29 »
Aqui eu instalei o pacote browser-plugin-freshplayer-pepperflash e parece que ele instalou o pepperflashplugin-nonfree também. No Firefox, em about:addons, mostra o plugin com nome "Shockwave Flash". Nunca tinha me atentado para essa diferença de Flash vs Shockwave, mas realmente vi que tem diferença, então não tenho certeza se isso é do pepperflash ou outra coisa.

Offline maurov

  • Usuário Ubuntu
  • *
  • Mensagens: 401
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #8 Online: 26 de Fevereiro de 2020, 10:41 »
Shockwave flash, Zekkerj.
Há um software de webinar (tipo videoconferência) que pediu isso. Como a maioria dos usuários usa o outro sistema operacional, os desenvolvedores não se dão o trabalho de testar na nossa plataforma.

Eis a resposta:
"Bom dia Mauro, Tudo bom? Isso deve ter ocorrido pois o seu navegador não é compatível com flash, utilize o Firefox e habilite o flash. Segue o link."
Não consigo postar os prints aqui, mas a url é http://get.adobe.com/br/flashplayer.
Dali é o processo descrito na postagem inicial.

Assim como o Anderson, nunca atentei para a diferença flash x shockwave.
« Última modificação: 26 de Fevereiro de 2020, 10:50 por maurov »

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.485
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
    • Blog do Zekke
Re:Shockwave Flash no Firefox
« Resposta #9 Online: 27 de Fevereiro de 2020, 15:49 »
... só pra gente colocar um ponto final nesse argumento sobre Shockwave/Flash.
https://helpx.adobe.com/br/shockwave.html

Fim da vida útil do Adobe Shockwave
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.485
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
    • Blog do Zekke
Re:Shockwave Flash no Firefox
« Resposta #10 Online: 27 de Fevereiro de 2020, 16:09 »
Shockwave flash, Zekkerj.
Há um software de webinar (tipo videoconferência) que pediu isso. Como a maioria dos usuários usa o outro sistema operacional, os desenvolvedores não se dão o trabalho de testar na nossa plataforma.

Eis a resposta:
"Bom dia Mauro, Tudo bom? Isso deve ter ocorrido pois o seu navegador não é compatível com flash, utilize o Firefox e habilite o flash. Segue o link."
Não consigo postar os prints aqui, mas a url é http://get.adobe.com/br/flashplayer.
Dali é o processo descrito na postagem inicial.

Assim como o Anderson, nunca atentei para a diferença flash x shockwave.

Faz uma coisa, você tem o Chrome ou o Chromium instalado em seu Ubuntu? Se tiver, pode tentar abrir o flash lá, que é embutido no Chrome/Chromium.

Esse software (vc não disse qual é, de repente o nome pode ajudar) roda direto no navegador?
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline maurov

  • Usuário Ubuntu
  • *
  • Mensagens: 401
    • Ver perfil
Re:Shockwave Flash no Firefox
« Resposta #11 Online: 04 de MAR?O de 2020, 16:10 »
Oi zekkerj,
eu não sei o nome do software de videoconferência. É usado por um fabricante de tecnologia.
Nas propriedades da página onde está o link de acesso, copiei algumas informações que talvez possam trazer alguma informação:
- @2014 BigBlueButton
- http://www.____.com/webinar/dhtmlxMessage/codebase/skins/dhtmlxmessage_dhx_skyblue.css

O problema é que só colocam no ar no dia da conferência. se ficasse sempre no ar, seria mais simples fazer testes.
Pessoalmente não gosto destes softwares proprietários. Tem outro fabricante de equipamentos de networking que usa um software chamado webex, que não roda de jeito nenhum em linux e eu já desisti. Com eles vou no notebook e windows.

Neste caso atual, não quero ceder também. Eu tentei usar no Firefox, mas na próxima tentarei pelo Chrome e posto aqui como foi. Vou deixar o tópico aberto para tal.

Hold on

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.485
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
    • Blog do Zekke
Re:Shockwave Flash no Firefox
« Resposta #12 Online: 04 de MAR?O de 2020, 18:00 »
O WebEx é da Cisco, até onde eu sei. Talvez não funcione no Linux por usar alguma coisa de DotNet.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D